getDocumentFromCustomer
curl --request GET \
--url https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Domain-ID: <x-domain-id>'import requests
url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}"
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Domain-ID': '<x-domain-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignees": [
{
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
],
"authenticity": "<string>",
"back": "<string>",
"backName": "<string>",
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"customerId": 123,
"expiryDate": "2023-12-25",
"front": "<string>",
"frontName": "<string>",
"id": 123,
"issueDate": "2023-12-25",
"number": "<string>",
"parentCustomerId": 123,
"parentParticular": {},
"particular": {},
"showExpiryNotification": true,
"type": "<string>",
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
}customer-controller
getDocumentFromCustomer
GET
/
api
/
customer
/
{customerId}
/
document
/
{documentId}
getDocumentFromCustomer
Authorizations
OAuth2_Client_CredentialsOAuth2_Password
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
X-Domain-ID
Path Parameters
customerId
documentId
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
